Retire Firefox button
Part of the Australis UI update is to retire the Firefox button in preference of the menu button which will be at the end of the nav-bar.

This is similar to bug 840697, but this is not a UX-only work. This is for eventual landing on m-c.